<?php

namespace Alsendo\AlsendoWrapper;

use Alsendo\AlsendoWrapper\Model\Order\OrderInterface;
use Alsendo\AlsendoWrapper\Model\Order\OrderRequest;

interface ApiClientInterface
{
    public function getServiceStructure();

    public function getOrderValuation(OrderRequest $order);

    public function sendOrder(OrderRequest $order);

    public function getOrder($orderId): OrderInterface;

    public function getOrders(array $orderIds): array;

    public function getWayBill($orderId);

    public function cancelOrder($orderId);

    public function getTurnInList(array $orderIds);

    public function getContactList();
}